- MongoDB C Driver 1.9.3-dev »
- API Reference »
- mongoc_uri_t

# mongoc_uri_set_write_concern()

## Synopsis

    void
    mongoc_uri_set_write_concern (mongoc_uri_t *uri,
                                  const mongoc_write_concern_t *wc);

## Parameters

- `uri`: A mongoc_uri_t.
- `rc`: A mongoc_write_concern_t.

## Description

Sets a MongoDB URI’s write concern option, after the URI has been parsed from a string.

Created using Sphinx 1.6.6, based on Sphinx Readable Theme.